package com.gyee.table.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.gyee.table.mapper.ObjectAllMapper;
import com.gyee.table.service.IObjectService;
import com.gyee.table.utils.ResponseWrapper;
import com.gyee.table.vo.LineData;
import com.gyee.table.vo.Point;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description:
 * @auther: Wanghs
 * @date: 2023-02-07
 */
@Slf4j
@RestController
@RequestMapping("/echart")
public class EchartController {

    @Autowired
    private IObjectService objectService;

    @PostMapping("/line")
    public JSONObject getLineData(@RequestBody Map map) {
        String sql = (String) map.get("sql");

        JSONObject jsonObject = objectService.selectBySqlToEchart(map);

        return jsonObject;

    }


}
